/* Sonar
 * Dit is een simple programma dat de NewPing-library gebruikt voor
 * het uitlezen van de HC-SR04-sensor. 
 * 
 * Gemaakt, November 2016, Amsterdam
 * Door Simon Pauw, ZB45
 * www.SimpleWalker.com
 */

/* Link de NewPing library.*/
#include <NewPing.h>

/* De pin die verbonden is met de TRIG-pin van de sensor (pin 10
 * van de Simple Walker). */
#define TRIGGER_PIN  10 

/* De pin die verbonden is met de ECHO-pin van de sensor (pin 16
 * van de Simple Walker). */
#define ECHO_PIN     16  

/* De Maximale afstand die de sensor kan meten (meestal 200cm). */
#define MAX_AFSTAND  200 

NewPing sonar(TRIGGER_PIN, ECHO_PIN, MAX_AFSTAND); // NewPing setup of pins and maximum distance.

/* Setup: wordt uitgevoerd bij het opstarten van de Simple Walker. */
void setup() {
  // Begin Seriele verbinding.
  Serial.begin(9600);

  // Wacht 1 sc na het openen van een seriele verbinding.
  delay(1000);
}

/* Loop: wordt herhaald tot de Simple Walker uit wordt gezet. */
void loop() {   
  // Meet de afstand in cm.                 
  int afstand = sonar.ping_cm();

  // Print waarde over de seriele poort.
  Serial.println(afstand);

  // Wacht 100ms
  delay(100);
}

